searchData={"items":[{"type":"module","title":"FontMetrics","doc":"FontMetrics works with pre-generated font metrics to explore and calculate various\nmeasurements of text in a given font and size.\n\nFor example, if you want to know how wide or tall a string of text will be when\nit is rendered in a given font at a given size, then this can help you out.\n\nThis library is intended to be used with the [Scenic](https://hex.pm/packages/scenic)\nframework, but doesn't depend on it, so it is usable elsewhere.","ref":"FontMetrics.html"},{"type":"module","title":"Installation - FontMetrics","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `font_metrics` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:font_metrics, \"~> 0.5\"}\n  ]\nend\n```","ref":"FontMetrics.html#module-installation"},{"type":"module","title":"Generating Metrics - FontMetrics","doc":"You will need to use another package to compile the font metrics data from a font.\n\nThis can be done with the truetype_metrics package. Look for it on hex...","ref":"FontMetrics.html#module-generating-metrics"},{"type":"function","title":"FontMetrics.ascent/2","doc":"Get the ascent of the font scaled to the pixel height\n\nreturns `ascent`","ref":"FontMetrics.html#ascent/2"},{"type":"function","title":"FontMetrics.descent/2","doc":"Get the descent of the font scaled to the pixel height\n\nreturns `descent`","ref":"FontMetrics.html#descent/2"},{"type":"function","title":"FontMetrics.expected_hash/0","doc":"","ref":"FontMetrics.html#expected_hash/0"},{"type":"function","title":"FontMetrics.max_box/2","doc":"Return a box that would hold the largest character in the font.\n\nThe response is scaled to the pixel size.\n\nreturns `{x_min, y_min, x_max, y_max}`","ref":"FontMetrics.html#max_box/2"},{"type":"function","title":"FontMetrics.nearest_gap/5","doc":"Find the gap between to characters given an {x,y} coordinate","ref":"FontMetrics.html#nearest_gap/5"},{"type":"function","title":"Options - FontMetrics.nearest_gap/5","doc":"Supported options:\n* `:kern` (`t:boolean/0`) - The default value is `false`.\n\n* `:wrap` - The default value is `:word`.\n\n* `:line_height`\n\n\n\nreturns `{character_number, x_position, line_number}`","ref":"FontMetrics.html#nearest_gap/5-options"},{"type":"function","title":"FontMetrics.points_to_pixels/1","doc":"Transform point values into pixels\n\nreturns `pixels`","ref":"FontMetrics.html#points_to_pixels/1"},{"type":"function","title":"FontMetrics.position_at/5","doc":"Returns the coordinates just before the given character number.","ref":"FontMetrics.html#position_at/5"},{"type":"function","title":"Options - FontMetrics.position_at/5","doc":"Supported options:\n* `:kern` (`t:boolean/0`) - The default value is `false`.\n\n\n\nreturns `{x_position, line_number}`","ref":"FontMetrics.html#position_at/5-options"},{"type":"function","title":"FontMetrics.shorten/5","doc":"Shorten a string to fit a given width","ref":"FontMetrics.html#shorten/5"},{"type":"function","title":"Options - FontMetrics.shorten/5","doc":"Supported options:\n* `:kern` (`t:boolean/0`) - The default value is `false`.\n\n* `:terminator` (`t:String.t/0`) - The default value is `\"…\"`.\n\n\n\nreturns `string`","ref":"FontMetrics.html#shorten/5-options"},{"type":"function","title":"FontMetrics.supported?/2","doc":"Checks if all the characters can be rendered by the font\n\nreturns `true` or `false`","ref":"FontMetrics.html#supported?/2"},{"type":"function","title":"FontMetrics.validate_number/2","doc":"","ref":"FontMetrics.html#validate_number/2"},{"type":"function","title":"FontMetrics.version/0","doc":"","ref":"FontMetrics.html#version/0"},{"type":"function","title":"FontMetrics.width/4","doc":"Measure the width of a string, scaled to a pixel size","ref":"FontMetrics.html#width/4"},{"type":"function","title":"Options - FontMetrics.width/4","doc":"Supported options:\n* `:kern` (`t:boolean/0`) - The default value is `false`.\n\n\n\nreturns `width`","ref":"FontMetrics.html#width/4-options"},{"type":"function","title":"FontMetrics.wrap/5","doc":"Wraps a string to a given width by adding returns.","ref":"FontMetrics.html#wrap/5"},{"type":"function","title":"Options - FontMetrics.wrap/5","doc":"Supported options:\n* `:wrap` - The default value is `:word`.\n\n* `:kern` (`t:boolean/0`) - The default value is `false`.\n\n\n\nreturns the wrapped string","ref":"FontMetrics.html#wrap/5-options"},{"type":"type","title":"FontMetrics.t/0","doc":"","ref":"FontMetrics.html#t:t/0"},{"type":"module","title":"FontMetrics.Source","doc":"Struct defining source information for a font metrics term.","ref":"FontMetrics.Source.html"},{"type":"type","title":"FontMetrics.Source.t/0","doc":"","ref":"FontMetrics.Source.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}